Summary: Xview Based front-end for the ldp - line printer spooler daemon.
Name: xvprint
Version: 1.0
Release: 1mdk
Source: ftp://step.polymtl.ca/pub/Xview/apps/xvprint/%{name}-%{version}.tar.gz
Source2: %{name}.menu
Patch: %{name}.patch
Buildroot: %{_tmppath}/%{name}-%{version}-root
License: Distributable
Group: System/Configuration/Printing
Requires: xview

%description 
XVPrint is a Xview graphical front-end for the lpd (BSD Line Printer Spooler),
which allows you to use the 'lpr', 'lpq' and 'lprm' commands in an easy way.

If you want to build the source package you need the XView API (Application
Programming Interface) provided with the xview-devel package.


%changelog
* Wed Sep 26 2001 Philippe Libat <philippe@mandrakesoft.com> 1.0-1mdk
- first spec


%prep

%setup -q -n %{name}-%{version}
%patch -p1

%build
%configure  --prefix=%{_prefix}
%make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT/ ; fi
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/X11R6/bin
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/X11R6/lib/help
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
%makeinstall DESTDIR=$RPM_BUILD_ROOT BINDIR=$RPM_BUILD_ROOT/%{_prefix}/X11R6/bin/ MANDIR=$RPM_BUILD_ROOT/%{_mandir}/man1  INFODIR=$RPM_BUILD_ROOT/%{_prefix}/X11R6/lib/help
mkdir -p $RPM_BUILD_ROOT/%{_menudir}
mkdir -p $RPM_BUILD_ROOT/%{_iconsdir}
install xvprint.xpm $RPM_BUILD_ROOT/%{_iconsdir}
install -m644 %{SOURCE2} $RPM_BUILD_ROOT/%{_menudir}/%{name}
#install -m644 xvprint.1 $RPM_BUILD_ROOT/usr/openwin/man/man1
#install -m644 xvprint.info $RPM_BUILD_ROOT/usr/openwin/lib/help

%post
## menu
%update_menus

%postun
## menu
%clean_menus

%clean
rm -r $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc BUGS COPYING README TODO
%{_prefix}/X11R6/bin/xvprint
%{_mandir}/man1/*.bz2
%{_prefix}/X11R6/lib/help/*.info
%{_menudir}/%{name}
%{_iconsdir}/*.xpm

